#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  sound-theme-freedesktop-0.8

- Next

  Speex-1.2.0

- Up
- Home

# SoundTouch-2.3.1

## Introduction to SoundTouch

The SoundTouch package contains an open-source audio processing library that allows changing the sound tempo, pitch and playback rate parameters independently from each other.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://www.surina.net/soundtouch/soundtouch-2.3.1.tar.gz

- Download MD5 sum: f9690985eee4778706a51d06aa935f6a

- Download size: 513 KB

- Estimated disk space required: 6.8 MB

- Estimated build time: 0.1 SBU

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/soundtouch

## Installation of SoundTouch

Install SoundTouch by running the following commands:

### Caution

The bootstrap command below fails if the ACLOCAL environment variable is set as specified in Xorg-7. If it is used, ACLOCAL needs to be unset for this package and then reset for other packages.

    ./bootstrap &&
    ./configure --prefix=/usr \
                --docdir=/usr/share/doc/soundtouch-2.3.1 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-openmp`: This switch adds support for running the algorithms in parallel across several processor cores using OpenMP implementation provided by GCC.

## Contents

Installed Program: soundstretch
Installed Library: libSoundTouch.so
Installed Directories: /usr/include/soundtouch and /usr/share/doc/soundtouch-2.3.1

### Short Descriptions

soundstretch | is a program for processing WAV audio files by modifying sound tempo, pitch and playback rate properties independently from each other
`libSoundTouch.so` | contains SoundTouch API functions

Last updated on

- Prev

  sound-theme-freedesktop-0.8

- Next

  Speex-1.2.0

- Up
- Home